<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/reports.js");
</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{productsByCountry}">Productos por pais</small></h3>
    </div>
</div>

<div class="clearfix"></div>
<!--
<div class="row">
    <div th:each="report : ${reports}">
        <h4 th:text="${report.key}"></h4>
        <div th:each="mapp : ${report.value}">            
            <span th:text="${mapp.key}"></span>
            <span th:text="${mapp.Value}"></span>            
        </div>
    </div>
</div>-->

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="search-bar" style="overflow: auto">
                    <div class="col-md-12">                        
                        <span th:text="#{countryName}">País:</span>                  
                        <select name="country" id="country">
                            <option th:selected="${country == 'all'}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${country == 'ES'}" value="ES" th:text="#{ES}">España</option>
                            <option th:selected="${country == 'CO'}" value="CO" th:text="#{CO}">Colombia</option>
                            <option th:selected="${country == 'PE'}" value="PE" th:text="#{PE}">Perú</option>
                            <option th:selected="${country == 'EC'}" value="EC" th:text="#{EC}">Ecuador</option>
                        </select>
                        &nbsp;
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;<span th:text="#{search}"></span></button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div class="x_content" th:if="${message != null}">
                <h4 th:text="${message}"></h4>                
            </div>

            <div class="x_content" th:if="${reports != null}">
                <div th:each="report : ${reports}">
                    <h4 th:text="${report.key}"></h4>

                    <div th:if="${report.value instanceof T(java.util.Map)}">
                        <div th:each="mapp : ${report.value}">
                            <span th:text="${mapp.key}"></span>
                            <span th:text="${mapp.Value}"></span>            
                        </div>                        
                    </div>

                    <div th:if="${report.value instanceof T(java.lang.String)}">
                        <span th:text="${report.value}"></span>
                    </div>
                </div>                
            </div>


        </div>


    </div>


</div>